LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XStyleChangeListener Interface Reference

to be implemented by components which wish to be notified about changes in the style of a component More...

`import"XStyleChangeListener.idl";`

Inheritance diagram for XStyleChangeListener:

## Public Member Functions
void | styleSettingsChanged ([in] com::sun::star::lang::EventObject Event)
| called when the style settings of the observed component changed More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

to be implemented by components which wish to be notified about changes in the style of a component

See also
  XStyleSettings

## Member Function Documentation

## ◆ styleSettingsChanged()

void styleSettingsChanged | ( | [in] com::sun::star::lang::EventObject | Event | ) |

called when the style settings of the observed component changed

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XStyleChangeListener.idl